%define oname   communi
%define major   3
%define libname %mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name:           libcommuni
Version:        3.6.0
Release:        %mkrel 2
Summary:        A cross-platform IRC framework written with Qt
Group:          Networking/IRC
License:        BSD
URL:            https://communi.github.io
Source0:        https://github.com/communi/libcommuni/archive/v%{version}/%{name}-%{version}.tar.gz
# https://patch-diff.githubusercontent.com/raw/communi/libcommuni/pull/94.patch
Patch0:		94.patch
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)

%description
Communi provides a set of tools for enabling IRC connectivity in Qt-based
C++ and QML applications. See the online reference documentation for help
with getting started: https://communi.github.io/doc

#----------------------------------------------------------------------

%package -n %{libname}
Summary:        A cross-platform IRC framework written with Qt
Group:          System/Libraries

%description -n %{libname}
Communi provides a set of tools for enabling IRC connectivity in Qt-based
C++ and QML applications. See the online reference documentation for help
with getting started: https://communi.github.io/doc

%files -n %{libname}
%{_libdir}/libIrc*.so.%{major}
%{_libdir}/libIrc*.so.%{major}.*
%{_qt5_qmldir}/Communi/

#----------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for the Communi IRC framework
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the Communi IRC framework.

%files -n %{devname}
%doc LICENSE README.md CHANGELOG.md
%{_libdir}/libIrc*.so
%{_qt5_includedir}/Communi/
%{_qt5_archdatadir}/mkspecs/features/communi*.prf

#----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%check
make check


%changelog
* Tue Dec 29 2020 pterjan <pterjan> 3.6.0-2.mga8
+ Revision: 1664814
- Add upstream patch that should fix crash on armv7hl

* Sun Dec 27 2020 pterjan <pterjan> 3.6.0-1.mga8
+ Revision: 1664265
- Update to 3.6.0

* Thu Dec 17 2020 umeabot <umeabot> 3.5.0-6.mga8
+ Revision: 1658868
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.5.0-5.mga8
+ Revision: 1527899
- Mageia 8 Mass Rebuild

* Fri Jul 26 2019 daviddavid <daviddavid> 3.5.0-4.mga8
+ Revision: 1424444
- rebuild for new Qt5 headers path and new mkspecs macros

* Sun Mar 31 2019 umeabot <umeabot> 3.5.0-3.mga7
+ Revision: 1383046
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.5.0-2.mga7
+ Revision: 1298789
- Mageia 7 Mass Rebuild

* Thu Nov 24 2016 akien <akien> 3.5.0-1.mga6
+ Revision: 1069701
- Version 3.5.0

* Sun Jan 24 2016 akien <akien> 3.4.0-1.mga6
+ Revision: 926897
- imported package libcommuni

